Ask Your Question
0

Could not open Base files since update.

asked 2020-11-14 13:42:45 +0200

ColinT gravatar image

After updating my iMac to BigSur, LibreOffice to 7.0.3.1 and JDK to 15.0.1 I still have a message stating that "No Java installation could be found" when attempting to open an exiting .odb. Is this a new issue or a known issue?

edit retag flag offensive close merge delete

Comments

I still ...

Using "still" makes me assume the error existed already before any updates...

Opaque gravatar imageOpaque ( 2020-11-14 15:12:18 +0200 )edit

Is this a new issue or a known issue?

To answer this, we'd need to know what you had before, since there is a known bug related to LibreOffice v.7 and JDK on macOS (but the strange this is: The known bug #tdf135479 throws an error about a defective Java environment and not a missing one). See comment #14 in the bug report, which states the JDK 12.0.2 should work. But as above: Due to the differences in error messages and lack of any knowledge of previous version within your installation, I'm not sure, whether the bug applies to you as well.

Opaque gravatar imageOpaque ( 2020-11-14 15:29:10 +0200 )edit

Looking at my 'DownLoad' folder I suspect that the version of LO prior to the upgrade was 6.3.3. The only version of JDK I can see is JDK-14. Reading the comment #14 it does look as though that might be the problem and it still exists in JDK-15. ColinT

ColinT gravatar imageColinT ( 2020-11-14 16:41:14 +0200 )edit

3 Answers

Sort by » oldest newest most voted
0

answered 2020-11-14 14:46:12 +0200

mgl gravatar image

Hello @ColinT

Did you check that the JDK was selected in the advance options of LO ?


To show the community that the question has found its answer, please click on the ✓ aside the top of the correct answer.

Please do not use Add Answer but edit your original question to enhance the details of your question (answers are reserved for solutions to a problem on this Q&A site). Thanks in advance …

Kind regards, Michel

edit flag offensive delete link more

Comments

@ColinT

Did you check that Java was still activated in your Mac OS, as it is de-activated if not used during 35 days ?

mgl gravatar imagemgl ( 2020-11-14 15:39:18 +0200 )edit

mgl It was working yesterday as I was using it to make entries in my database.

ColinT gravatar imageColinT ( 2020-11-14 18:10:49 +0200 )edit
0

answered 2020-11-14 15:19:15 +0200

ColinT gravatar image

in answer to Michel, yes the JDK was selected in the advance options.

In answer to Opaque I can assure you that this only caused a problem after the update. There is no problem with the database file as I can access it via LO from my laptop which I haven't updated, and until this is resolved I probably won't.

ColinT

edit flag offensive delete link more

Comments

See also THIS POST - possibly relevant. It does seem to imply that all is well with Mac OS 'Big Sur' and JDK 15 but NOT with earlier versions of JDK. Are you absolutely sure your JDK 15 is selected in the LO Advanced preferences/settings? (The little dot in the select circle must be showing - maybe post a screenshot). However, I can use JDK 15 successfully on Mac OS 10.11.6 with LO 6.4.6.2 no problem.

frofa gravatar imagefrofa ( 2020-11-14 21:29:54 +0200 )edit

Yes JDK 15.0.1 was selected with "The little dot in the select circle showing. Reading the indicated post I can say that JDK 14 was installed at the time of the update and when that didn't work I updated to JDK 15 to see if that had been the problem. I even tried AdoptOpenJDK version 15.0.1 but that has the same result. As documents and spreadsheets work in LO it does appear that the problem is only associated with Base. Is this the only aspect that required Java?

ColinT gravatar imageColinT ( 2020-11-15 09:34:52 +0200 )edit

Just see if your JDK instals are in the right place; use the Finder's GO > GO to a FOLDER menu to check the /Library/java folder to see if the expected JDK instals are there. Also (just in case...) make sure you shut down and restart your Mac after installing any Java updates. Report back please. But it's starting to sound like a Mac OS 'Big Sur' problem, though.

frofa gravatar imagefrofa ( 2020-11-15 11:15:25 +0200 )edit

Yes, just had a look the .JDKs are in Library/Java/JavaVirtualMachines. I have re-started with also a complete power down just to be sure having been caught out by that on a different project many years ago. Unfortunately I can't think of anything else that requires Java that I have so can't test the Java installation independently.

ColinT gravatar imageColinT ( 2020-11-15 11:38:33 +0200 )edit

Have you tried back-grading your LO instal to version 6.4.6.2 to see if that works? I suspect this BUG REPORT is relevant, so maybe don't upgrade your LO instal from 6.4.6.2 until v.7.1 is released.

To answer your question, Java is needed if you are using HSQLDB as your database 'engine' - the default is HSQLDB embedded. Is that what you are using? Base can connect to other DB types like MySQL or PostgreSQL with non-Java connectors. The experimental Firebird embedded does not require Java either. The report engine in Base does require Java also as do some extensions.

You might try some of these methods to check the Java instal on your Mac.

frofa gravatar imagefrofa ( 2020-11-15 22:19:21 +0200 )edit

Thank you for the suggestion. Back-grading to 6.4.6.2 did the trick. All is back as it was & I have access to my databases without making any other changes, JDK selection for instance. Perhaps I'll stick with this version for the time being. Thank you all.

ColinT gravatar imageColinT ( 2020-11-16 14:58:55 +0200 )edit
0

answered 2020-11-15 09:11:02 +0200

frofa gravatar image

updated 2020-11-15 22:20:41 +0200

See my additional comment under your own answer.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2020-11-14 13:42:45 +0200

Seen: 131 times

Last updated: Nov 15 '20